Aller au contenu

Windows trucs et astuces

Les sujets sont postés par l'administrateur seulement. Si vous avez des trucs et astuces, envoyez les moi par courriel (pemin@cadxp.com). Vous pouvez commenter les trucs et astuces en répondant aux messages.


75 sujets dans ce forum

    • 5 réponses
    • 4,8 k vues
    • 1 réponse
    • 4 k vues
    • 13 réponses
    • 7,2 k vues
    • 12 réponses
    • 6 k vues
    • 8 réponses
    • 5,2 k vues
    • 10 réponses
    • 6 k vues
    • 0 réponse
    • 4,2 k vues
  1. Roll back from Windows 10

    • 1 réponse
    • 6,1 k vues
    • 2 réponses
    • 4,9 k vues
    • 1 réponse
    • 4,9 k vues
  2. Menu démarrer

    • 1 réponse
    • 4,6 k vues
  3. Azus et la touche F8 et W7

    • 5 réponses
    • 6,2 k vues
    • 7 réponses
    • 7,6 k vues
    • 15 réponses
    • 8,1 k vues
    • 3 réponses
    • 21,2 k vues
    • 4 réponses
    • 6,7 k vues
  4. Fichiers DLL

    • 2 réponses
    • 6,5 k vues
    • 2 réponses
    • 5,4 k vues
    • 1 réponse
    • 3,9 k vues
    • 7 réponses
    • 5,2 k vues
    • 4 réponses
    • 6,1 k vues
    • 6 réponses
    • 7,2 k vues
  5. Renommer plusieurs fichiers

    • 4 réponses
    • 9,7 k vues
    • 4 réponses
    • 22,9 k vues
  6. Mot clé des favoris Firefox

    • 0 réponse
    • 6,5 k vues


  • Statistiques des forums

    • Total des sujets
      47,2 k
    • Total des messages
      285,9 k
  • Sujets

  • Messages

    • Bonjour, Avec un AutoCAD MAP 2022 on peut créer un rapport via une requete dwg sur des dessins associés sous forme de fichier txt (identique à un csv). Export possible des objets autocad, leur propriétés, leurs valeurs attributaires SIG, etc. A regarder car très utile 🙂 Fabcad Le Rennais Métropolitain
    • nan, je pense que tu es trop habitué aux extractions de données réalisées par des programmes xD Je n'ai pas vu de propriété correspondant au handle dans l'assistant d'extraction de données. Mais comme beaucoup de programmes LISP, etc.. font l'extraction de cette propriété, peut-être as-tu confondu avec toutes tes routines 🙂 Bisous, Luna
    • Bonjour @vins13007 Je ne suis pas concerné par ce sujet, mais je tiens à te félicite pour l'échange de la solution trouvée. Merci beaucoup de respecter l'esprit d'échange qui a fait de ce forum ce qu'il est : une mine de solutions dans toutes les directions. Amicalement
    • Hello @Luna Et Maintien ? Désolé sans AutoCAD pour le moment ! Bye, lecrabe  
    • Coucou, Bon à priori mes explications manquent un peu de clarté ^^" (defun PayOrPor (lst / ctb nam ent box DIx DIy fmt ort layouts) (setq lst (mapcar 'strcase lst) ctb (getvar "CTAB") ) (vlax-for lay (vla-get-layouts (vla-get-ActiveDocument (vlax-get-acad-object))) (and (setq nam (vla-get-Name lay)) (member (strcase nam) lst) (setvar "CTAB" nam) (setq ent (vlax-vla-object->ename lay)) (setq box (cons (cdr (assoc 15 (entget ent))) (list (cdr (assoc 14 (entget ent)))))) (setq DIx (abs (apply '- (mapcar 'car box)))) (setq DIy (abs (apply '- (mapcar 'cadr box)))) (not (zerop DIx)) (not (zerop DIy)) (cond ( (and (< DIy DIx) (<= DIx 210) (<= DIy 148)) (setq fmt "A5" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 148) (<= DIy 210)) (setq fmt "A5" ort "Portrait")) ( (and (< DIy DIx) (<= DIx 297) (<= DIy 210)) (setq fmt "A4" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 210) (<= DIy 297)) (setq fmt "A4" ort "Portrait")) ( (and (< DIy DIx) (<= DIx 420) (<= DIy 297)) (setq fmt "A3" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 297) (<= DIy 420)) (setq fmt "A3" ort "Portrait")) ( (and (< DIy DIx) (<= DIx 594) (<= DIy 420)) (setq fmt "A2" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 420) (<= DIy 594)) (setq fmt "A2" ort "Portrait")) ( (and (< DIy DIx) (<= DIx 841) (<= DIy 594)) (setq fmt "A1" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 594) (<= DIy 841)) (setq fmt "A1" ort "Portrait")) ( (and (< DIy DIx) (<= DIx 1189) (<= DIy 841)) (setq fmt "A0" ort "Paysage")) ( (and (> DIy DIx) (<= DIx 841) (<= DIy 1189)) (setq fmt "A0" ort "Portrait")) ) (setq layouts (cons (cons nam (list ort fmt DIx DIy)) layouts)) ) ) (setvar "CTAB" ctb) (reverse layouts) ) Pour me faire pardonner, rentre en ligne de commande (PayOrPor (layoutlist)) Le but du (setvar "CTAB" nam) pour chaque présentation c'est uniquement dans le but de s'assurer que les codes DXF 14 et 15 ont été mis à jour (car si on dessine une entité dans une présentation et que l'on étudie les codes DXF 14 et 15 de cette même présentation sans qu'il y ait eut un régénération de la présentation en question, ils seront faux) Normalement cela devrait te renvoyer une liste de ce genre là : (("Présentation1" "Paysage" "A4" 245.093 179.28) ("Présentation2" "Paysage" "A3" 370.706 285.048)) Avec du coup pour chaque élément de la liste : Si x = ("Présentation1" "Paysage" "A4" 245.093 179.28) Alors on a : (car x) = "Présentation1" (cdr x) = ("Paysage" "A4" 245.093 179.28) (cadr x) = "Paysage" (caddr x) = "A4" (cadddr x) = 245.093 (last (cdr x)) = 179.28 Sur ton .dwg d'exemple on obtient (après avoir supprimé les textes indiquant le résultat désiré) : ( ("Présentation1" "Paysage" "A2" 400.0 300.0) ("Présentation1 (2)" "Paysage" "A2" 400.0 300.0) ("Présentation1 (3)" "Portrait" "A2" 300.0 400.0) ("Présentation1 (4)" "Portrait" "A2" 300.0 369.132) ) Donc il me semble que tu n'as pas le bon format dans ton .dwg d'exemple ou alors mes souvenirs en matière de format de papier sont faux... Bisous, Luna
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité